This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 33113

Summary: Selected node changes for each file opened when opening multiple files
Product: platform Reporter: _ tboudreau <tboudreau>
Component: Window SystemAssignee: Peter Zavadsky <pzavadsky>
Status: VERIFIED WONTFIX    
Severity: blocker CC: mslama
Priority: P3 Keywords: PERFORMANCE
Version: 3.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Bug Depends on: 32228    
Bug Blocks:    

Description _ tboudreau 2003-04-22 09:09:39 UTC
I noticed this with the new property sheet code:

Multi-select a bunch of files and choose Open from the
context menu.

The window manager will fire changes in the selected node
<number of files> times.

This surely is a performance problem, as the property sheet
will repaint for each file opened, and anything else
listening for the currently selected node will do its
processing.

Not sure if this is really a window system or editor
issue, but I'd consider it a requirement for the rewrite
that this behavior not happen - opening a bunch of files
should be atomic.  So I'm creating this issue so it can
be tracked for the window system rewrite.
Comment 1 mslama 2003-04-22 13:10:27 UTC
Yes we plan changes in API to allow handling multiple components
simultaneously.
Comment 2 Marian Mirilovic 2003-11-26 12:59:15 UTC
Because Window System v1 will not be supported from now by our team, all old
winsys issues (now "core/window system v1" issues) are going to be closed as
WONTFIX. 

Changes in API which emerged both from UI spec 
and problems with adjusting to the older API are described in the document
http://core.netbeans.org/windowsystem/changes.html.
 It shows also recommends how the client code should be adjusted to the new
window system.

If you think this issue apply also to the new winsys then change the
subcomponent (to "core/window system") and REOPEN it.
Comment 3 Marian Mirilovic 2004-02-27 14:13:19 UTC
issue doesn't apply to new window system - verified